LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XContainerApproveListener Interface Reference

is notified to approve changes which happen to the content of a generic container More...

`import"XContainerApproveListener.idl";`

## Public Member Functions
com::sun::star::util::XVeto | approveInsertElement ([in] ContainerEvent Event) raises ( com::sun::star::lang::WrappedTargetException )
| is called for the listener to approve an insertion into the container More...
com::sun::star::util::XVeto | approveReplaceElement ([in] ContainerEvent Event) raises ( com::sun::star::lang::WrappedTargetException )
| is called for the listener to approve a replacement inside the container More...
com::sun::star::util::XVeto | approveRemoveElement ([in] ContainerEvent Event) raises ( com::sun::star::lang::WrappedTargetException )
| is called for the listener to approve a removal of an element from the container More...

## Detailed Description

is notified to approve changes which happen to the content of a generic container

See also
  XContainerApproveBroadcaster

## Member Function Documentation

## ◆ approveInsertElement()

com::sun::star::util::XVeto approveInsertElement | ( | [in] ContainerEvent | Event | ) |
raises | ( | com::sun::star::lang::WrappedTargetException
| ) |  |

is called for the listener to approve an insertion into the container

Returns
  an instance implementing the com::sun::star::util::XVeto interface, if the insertion is vetoed, `NULL` otherwise.

## ◆ approveRemoveElement()

com::sun::star::util::XVeto approveRemoveElement | ( | [in] ContainerEvent | Event | ) |
raises | ( | com::sun::star::lang::WrappedTargetException
| ) |  |

is called for the listener to approve a removal of an element from the container

Returns
  an instance implementing the com::sun::star::util::XVeto interface, if the removal is vetoed, `NULL` otherwise.

## ◆ approveReplaceElement()

com::sun::star::util::XVeto approveReplaceElement | ( | [in] ContainerEvent | Event | ) |
raises | ( | com::sun::star::lang::WrappedTargetException
| ) |  |

is called for the listener to approve a replacement inside the container

Returns
  an instance implementing the com::sun::star::util::XVeto interface, if the replacement is vetoed, `NULL` otherwise.

The documentation for this interface was generated from the following file:

- com/sun/star/container/XContainerApproveListener.idl